﻿Type=StaticCode
Version=1.50
@EndOfDesignText@
'Code module
'Subs in this code module will be accessible from all modules.
Sub Process_Globals
	Dim x, y, vx As Int
	Dim target As Int
	Dim SliderRect As Rect
	Dim SliderWidth As Int
	Dim SliderSpeed As Float
	Dim MarkerRect As Rect
End Sub
Sub Reset (xx As Int, yy As Int, Drawers As DrawerType)
	x = xx
	y = yy
	vx = 0
	target = x
	SliderWidth = 10%x 'half the width of the slider
	SliderRect.Initialize(x - SliderWidth, yy - 6%y, x + SliderWidth, yy)
	SliderSpeed = Ball.vx * 2 'Ball.Reset should be called before this one.
	MarkerRect.Initialize(0, SliderRect.Top, 3dip, SliderRect.Bottom)
	Drawers.canvasMain.DrawRect(SliderRect, Colors.Red, True, 0)
End Sub
Sub Tick(Drawers As DrawerType)
	If x = target Then Return 'no need to move the slider
	'erase old slider
	Drawers.canvasMain.DrawRect(SliderRect, Colors.Transparent, True, 0)
	Drawers.pnlMain.Invalidate2(SliderRect)
	If target > x Then vx = SliderSpeed Else vx = -SliderSpeed
	x = x + vx
	If Abs(x - target) < 3%x Then 
		x = target
		vx = 0
	End If
	SliderRect.Left = x - SliderWidth
	SliderRect.Right = x + SliderWidth
	'draw new slider
	Drawers.canvasMain.DrawRect(SliderRect, Colors.Red, True, 0)
	Drawers.pnlMain.Invalidate2(SliderRect)
End Sub

Sub Touch(Drawers As DrawerType, xx As Int)
	target = xx
	'draw the red marker (erasing the old one first and then drawing the new one)
	Drawers.canvasBall.DrawRect(MarkerRect, Colors.Transparent, True, 0)
	Drawers.pnlBall.Invalidate2(MarkerRect)
	MarkerRect.Left = xx - 1.5%x
	MarkerRect.Right = xx + 1.5%x
	Drawers.canvasBall.DrawCircle(MarkerRect.CenterX, MarkerRect.CenterY, 1.5%x, Colors.Red, True, 0)
	Drawers.pnlBall.Invalidate2(MarkerRect)
End Sub